out_pwm Class Reference

`#include <out_pwm.h>`

Inheritance diagram for out_pwm:

## Public Member Functions

| out_pwm (Item *_item)
int | Setup () override
| Remove?? Now getChanType used instead. More...
int | Poll (short cause) override
int | Stop () override
int | Status () override
int | getChanType () override
int | PixelCtrl (itemCmd cmd, char *subItem=NULL, bool show=true) override
Public Member Functions inherited from colorChannel
| colorChannel (Item *_item)
int | Ctrl (itemCmd cmd, char *subItem=NULL, bool toExecute=true) override
int | getDefaultStorageType () override
short | getChannelAddr (short n=0)
Public Member Functions inherited from abstractOut
| abstractOut (Item *_item)
virtual int | isActive ()
virtual itemCmd | getDefaultOnVal ()
Public Member Functions inherited from abstractCh
| abstractCh ()
virtual | ~abstractCh ()
virtual int | Anounce ()

## Protected Attributes

short | numChannels
Protected Attributes inherited from colorChannel
short | iaddr
short | numArgs
Protected Attributes inherited from abstractOut
Item * | item

## Additional Inherited Members

Protected Member Functions inherited from abstractCh
virtual int | publishTopic (const char *topic, long value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, float value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, const char *value, const char *subtopic=NULL)

## Constructor & Destructor Documentation

## out_pwm()

out_pwm::out_pwm | ( | Item * | _item | ) |

inline

## Member Function Documentation

## getChanType()

int out_pwm::getChanType | ( |  | ) |

overridevirtual

Reimplemented from abstractOut.

## PixelCtrl()

int out_pwm::PixelCtrl | ( | itemCmd | cmd,
|  | char * | subItem = `NULL`,
|  | bool | show = `true`
| ) |  |

overridevirtual

Implements colorChannel.

## Poll()

int out_pwm::Poll | ( | short | cause | ) |

overridevirtual

Implements abstractCh.

## Setup()

int out_pwm::Setup | ( |  | ) |

overridevirtual

Remove?? Now getChanType used instead.

Reimplemented from abstractOut.

## Status()

int out_pwm::Status | ( |  | ) |

overridevirtual

Reimplemented from abstractCh.

## Stop()

int out_pwm::Stop | ( |  | ) |

overridevirtual

Reimplemented from abstractCh.

## Member Data Documentation

## numChannels

short out_pwm::numChannels

protected

The documentation for this class was generated from the following files:

- modules/out_pwm.h
- modules/out_pwm.cpp